Debian Bug report logs - #570805
Wrong path in /proc/pid/maps when bind mounted.

version graph

Package: kfreebsd-9; Maintainer for kfreebsd-9 is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>;

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Sun, 21 Feb 2010 14:30:02 UTC

Severity: important

Merged with 615507

Found in version kfreebsd-9/9.0-10

Blocking fix for 649038: elfutils FTBFS on kfreebsd

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, Kurt Roeckx <kurt@roeckx.be>:
Bug#570805; Package src:elfutils. (Sun, 21 Feb 2010 14:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, Kurt Roeckx <kurt@roeckx.be>. (Sun, 21 Feb 2010 14:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: elfutils: FTBFS on kfreebsd-*: 2 test failures
Date: Sun, 21 Feb 2010 15:28:37 +0100
Source: elfutils
Version: 0.144-1
Severity: serious
Justification: FTBFS
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

Hi,

your package no longer builds on kfreebsd-* because of 2 test failures.

Log excerpt for kfreebsd-amd64:
| /usr/bin/make  check-TESTS
| make[3]: Entering directory `/build/buildd-elfutils_0.144-1-kfreebsd-amd64-nKWKUj/elfutils-0.144/tests'
| Extracting symbols... done
| PASS: run-arextract.sh
| PASS: run-arsymtest.sh
| PASS: newfile
| PASS: test-nlist
| PASS: update1
| PASS: update2
| PASS: update3
| PASS: update4
| PASS: run-show-die-info.sh
| PASS: run-get-files.sh
| PASS: run-get-lines.sh
| PASS: run-get-pubnames.sh
| PASS: run-get-aranges.sh
| PASS: run-allfcts.sh
| PASS: run-show-abbrev.sh
| PASS: run-line2addr.sh
| PASS: hash
| PASS: newscn
| PASS: run-strip-test.sh
| PASS: run-strip-test2.sh
| PASS: run-strip-test3.sh
| PASS: run-strip-test4.sh
| PASS: run-strip-test5.sh
| PASS: run-strip-test6.sh
| PASS: run-strip-test7.sh
| PASS: run-strip-test8.sh
| PASS: run-unstrip-test.sh
| PASS: run-unstrip-test2.sh
| PASS: run-ecp-test.sh
| PASS: run-ecp-test2.sh
| PASS: run-elflint-test.sh
| unsupported OS ABI e_ident[7] == 'FreeBSD'
| *** failure in ../src/addr2line
| unsupported OS ABI e_ident[7] == 'FreeBSD'
| *** failure in ../src/elfcmp
| unsupported OS ABI e_ident[7] == 'FreeBSD'
| *** failure in ../src/elflint
| unsupported OS ABI e_ident[7] == 'FreeBSD'
| *** failure in ../src/findtextrel
| unsupported OS ABI e_ident[7] == 'FreeBSD'
| *** failure in ../src/ld
| unsupported OS ABI e_ident[7] == 'FreeBSD'
| *** failure in ../src/nm
| unsupported OS ABI e_ident[7] == 'FreeBSD'
| *** failure in ../src/objdump
| unsupported OS ABI e_ident[7] == 'FreeBSD'
| *** failure in ../src/readelf
| unsupported OS ABI e_ident[7] == 'FreeBSD'
| *** failure in ../src/size
| unsupported OS ABI e_ident[7] == 'FreeBSD'
| *** failure in ../src/strip
| unsupported OS ABI e_ident[7] == 'FreeBSD'
| *** failure in ../libelf/libelf.so
| unsupported OS ABI e_ident[7] == 'FreeBSD'
| *** failure in ../libdw/libdw.so
| unsupported OS ABI e_ident[7] == 'FreeBSD'
| *** failure in ../libasm/libasm.so
| SKIP: run-elflint-self.sh
| PASS: run-ranlib-test.sh
| PASS: run-ranlib-test2.sh
| PASS: run-ranlib-test3.sh
| PASS: run-ranlib-test4.sh
| PASS: run-addrscopes.sh
| PASS: run-strings-test.sh
| PASS: run-funcscopes.sh
| PASS: run-find-prologues.sh
| PASS: run-allregs.sh
| PASS: run-readelf-test1.sh
| PASS: run-readelf-test2.sh
| PASS: run-readelf-test3.sh
| PASS: run-readelf-test4.sh
| ./allregs: dwfl_module_register_names: No such file or directory
| FAIL: run-native-test.sh
| PASS: run-bug1-test.sh
| PASS: dwfl-bug-addr-overflow
| PASS: run-addrname-test.sh
| ./dwfl-bug-fd-leak: dwfl_module_getelf: No such file or directory
| FAIL: dwfl-bug-fd-leak
| PASS: dwfl-bug-report
| PASS: run-dwfl-bug-offline-rel.sh
| PASS: run-dwfl-addr-sect.sh
| PASS: run-disasm-x86.sh
| PASS: run-disasm-x86-64.sh
| PASS: run-early-offscn.sh
| PASS: run-dwarf-getmacros.sh
| PASS: msg_tst
| PASS: sha1-tst
| PASS: asm-tst1
| PASS: asm-tst2
| PASS: asm-tst3
| PASS: asm-tst4
| PASS: asm-tst5
| PASS: asm-tst6
| PASS: asm-tst7
| PASS: asm-tst8
| PASS: asm-tst9
| =====================================================
| 2 of 67 tests failed
| (1 test was not run)
| Please report to http://bugzilla.redhat.com/bugzilla/

Full build logs:
  https://buildd.debian.org/status/package.php?suite=unstable&p=elfutils

Mraw,
KiBi.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#570805; Package src:elfutils. (Sun, 21 Feb 2010 18:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. (Sun, 21 Feb 2010 18:33:09 GMT) Full text and rfc822 format available.

Message #10 received at 570805@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Cyril Brulebois <kibi@debian.org>, 570805@bugs.debian.org
Subject: Re: Bug#570805: elfutils: FTBFS on kfreebsd-*: 2 test failures
Date: Sun, 21 Feb 2010 19:31:56 +0100
reassign 570805 kfreebsd-8
severity 570805 important
title 570805 Wrong path in /proc/pid/maps when bind mounted.
affects 570805 src:elfutils
thanks

On Sun, Feb 21, 2010 at 03:28:37PM +0100, Cyril Brulebois wrote:
> | ./allregs: dwfl_module_register_names: No such file or directory
> | FAIL: run-native-test.sh
[...]
> | ./dwfl-bug-fd-leak: dwfl_module_getelf: No such file or directory
> | FAIL: dwfl-bug-fd-leak
[...]
> | 2 of 67 tests failed

It's my understanding that /proc/pid/maps does not contain
the proper path in case of a bind mount.


Kurt





Bug reassigned from package 'src:elfutils' to 'kfreebsd-8'. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Sun, 21 Feb 2010 18:33:10 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions elfutils/0.144-1. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Sun, 21 Feb 2010 18:33:11 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Sun, 21 Feb 2010 18:33:12 GMT) Full text and rfc822 format available.

Added indication that 570805 affects src:elfutils Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Sun, 21 Feb 2010 18:33:13 GMT) Full text and rfc822 format available.

Changed Bug title to 'Wrong path in /proc/pid/maps when bind mounted.' from 'elfutils: FTBFS on kfreebsd-*: 2 test failures' Request was from kurt@roeckx.be (Kurt Roeckx) to control@bugs.debian.org. (Sun, 21 Feb 2010 18:51:38 GMT) Full text and rfc822 format available.

Forcibly Merged 570805 615507. Request was from kurt@roeckx.be (Kurt Roeckx) to control@bugs.debian.org. (Sun, 27 Feb 2011 00:48:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#570805; Package kfreebsd-8. (Sat, 29 Oct 2011 09:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 29 Oct 2011 09:39:04 GMT) Full text and rfc822 format available.

Message #27 received at 570805@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Julien Cristau <jcristau@debian.org>
Cc: Jonathan Nieder <jrnieder@gmail.com>, kfreebsd-i386@buildd.debian.org, kfreebsd-amd64@buildd.debian.org, elfutils@packages.debian.org, 630201@bugs.debian.org, 570805@bugs.debian.org
Subject: Re: [kfreebsd-*] please rebuild elfutils/sid, ignoring the 2 known testsuite failures (Re: transition: liblzma 5)
Date: Sat, 29 Oct 2011 11:38:18 +0200
On Sat, Oct 29, 2011 at 11:07:42AM +0200, Julien Cristau wrote:
> On Sat, Oct 29, 2011 at 02:12:25 -0500, Jonathan Nieder wrote:
> 
> > Julien Cristau wrote:
> > > On Wed, Oct 26, 2011 at 12:01:41 +0200, Julien Cristau wrote:
> > 
> > >>>  libdw1 (DWARF parser for elfutils)
> > >>
> > >> FTBFS on kfreebsd, needs a bug filed.
> > >
> > > Apparently that's #570805 (thanks, Jakub).
> > 
> > That's a pair of testsuite failures due to a kernel bug and not a
> > regression in elfutils as far as I can tell.
> > 
> > kfreebsd buildd admins, is it possible to schedule a rebuild with
> > DEB_BUILD_OPTIONS=nocheck, or would it be better to request that
> > directly in debian/rules as a temporary workaround?  (Please forgive
> > my ignorance.)
> > 
> I think this should be worked around in the elfutils package.

How do you suggest I work around this?  I really don't like to
ignore those errors.  They're the one that test the platform
specific parts.

Can I instead suggest someone looks at the kernel and fixes it?
It used to work, it works on the porter machines, it just fails
on the buidds.


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#570805; Package kfreebsd-8. (Sat, 29 Oct 2011 09:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 29 Oct 2011 09:48:08 GMT) Full text and rfc822 format available.

Message #32 received at 570805@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Kurt Roeckx <kurt@roeckx.be>, 570805@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>, Jonathan Nieder <jrnieder@gmail.com>, kfreebsd-i386@buildd.debian.org, kfreebsd-amd64@buildd.debian.org, elfutils@packages.debian.org, 630201@bugs.debian.org
Subject: Re: Bug#570805: [kfreebsd-*] please rebuild elfutils/sid, ignoring the 2 known testsuite failures (Re: transition: liblzma 5)
Date: Sat, 29 Oct 2011 11:45:23 +0200
On Sat, Oct 29, 2011 at 11:38:18AM +0200, Kurt Roeckx wrote:
> On Sat, Oct 29, 2011 at 11:07:42AM +0200, Julien Cristau wrote:
> > On Sat, Oct 29, 2011 at 02:12:25 -0500, Jonathan Nieder wrote:
> > 
> > > Julien Cristau wrote:
> > > > On Wed, Oct 26, 2011 at 12:01:41 +0200, Julien Cristau wrote:
> > > 
> > > >>>  libdw1 (DWARF parser for elfutils)
> > > >>
> > > >> FTBFS on kfreebsd, needs a bug filed.
> > > >
> > > > Apparently that's #570805 (thanks, Jakub).
> > > 
> > > That's a pair of testsuite failures due to a kernel bug and not a
> > > regression in elfutils as far as I can tell.
> > > 
> > > kfreebsd buildd admins, is it possible to schedule a rebuild with
> > > DEB_BUILD_OPTIONS=nocheck, or would it be better to request that
> > > directly in debian/rules as a temporary workaround?  (Please forgive
> > > my ignorance.)
> > > 
> > I think this should be worked around in the elfutils package.
> 
> How do you suggest I work around this?  I really don't like to
> ignore those errors.  They're the one that test the platform
> specific parts.
> 
> Can I instead suggest someone looks at the kernel and fixes it?

The kernel part is not trivial to solve.

> It used to work, it works on the porter machines, it just fails
> on the buidds.

It now fails because of the multiple bind mounts needed by schroot.

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Added indication that bug 570805 blocks 649038 Request was from Mehdi Dogguy <mehdi@debian.org> to control@bugs.debian.org. (Fri, 06 Jan 2012 22:15:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#570805; Package kfreebsd-8. (Fri, 03 Feb 2012 00:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 03 Feb 2012 00:36:03 GMT) Full text and rfc822 format available.

Message #39 received at 570805@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: Kurt Roeckx <kurt@roeckx.be>, aurelien@aurel32.net
Cc: 570805@bugs.debian.org, 649038@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: [kfreebsd-*] please rebuild elfutils/sid, ignoring the 2 known, testsuite failures (Re: transition: liblzma 5)
Date: Fri, 03 Feb 2012 00:33:33 +0000
Kurt Roeckx wrote:
>Can I instead suggest someone looks at the kernel and fixes it?
>It used to work, it works on the porter machines, it just fails
>on the buidds.

Aurelien Jarno wrote:
>The kernel part is not trivial to solve.

>It now fails because of the multiple bind mounts needed by schroot.

This issue was first run into nearly a year ago, and the last post on it
was arround 2 months ago is there any progress on solving the root 
cause?

If not and the maintainers don't feel comfortable disabling the tests 
would it be  possible to manually build and upload the binnmus in an 
environment that doesn't suffer the issue so that the packages are 
installable on kfreebsd again and transitions and builds of dependent 
packages can proceed?





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#570805; Package kfreebsd-8. (Sun, 05 Feb 2012 11:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 05 Feb 2012 11:09:10 GMT) Full text and rfc822 format available.

Message #44 received at 570805@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: peter green <plugwash@p10link.net>
Cc: Kurt Roeckx <kurt@roeckx.be>, 570805@bugs.debian.org, 649038@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: [kfreebsd-*] please rebuild elfutils/sid, ignoring the 2 known, testsuite failures (Re: transition: liblzma 5)
Date: Sun, 5 Feb 2012 12:06:53 +0100
On Fri, Feb 03, 2012 at 12:33:33AM +0000, peter green wrote:
> Kurt Roeckx wrote:
> >Can I instead suggest someone looks at the kernel and fixes it?
> >It used to work, it works on the porter machines, it just fails
> >on the buidds.
> 
> Aurelien Jarno wrote:
> >The kernel part is not trivial to solve.
> 
> >It now fails because of the multiple bind mounts needed by schroot.
> 
> This issue was first run into nearly a year ago, and the last post on it
> was arround 2 months ago is there any progress on solving the root
> cause?

No, it hasn't changed. It's due to multiple bind mounting in schroot,
and therefore is not a usual case, so it's not on top priority of people
TODO list.

> If not and the maintainers don't feel comfortable disabling the
> tests would it be  possible to manually build and upload the binnmus
> in an environment that doesn't suffer the issue so that the packages
> are installable on kfreebsd again and transitions and builds of
> dependent packages can proceed?
> 

I can do manual builds and uploads if needed.

-- 
Aurelien Jarno                          GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#570805; Package kfreebsd-8. (Fri, 10 Feb 2012 07:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 10 Feb 2012 07:51:08 GMT) Full text and rfc822 format available.

Message #49 received at 570805@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Aurelien Jarno <aurelien@aurel32.net>, 649038@bugs.debian.org
Cc: peter green <plugwash@p10link.net>, Kurt Roeckx <kurt@roeckx.be>, 570805@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#649038: [kfreebsd-*] please rebuild elfutils/sid, ignoring the 2 known, testsuite failures (Re: transition: liblzma 5)
Date: Fri, 10 Feb 2012 08:46:24 +0100
[Message part 1 (text/plain, inline)]
Hi,

Aurelien Jarno <aurelien@aurel32.net> (05/02/2012):
> On Fri, Feb 03, 2012 at 12:33:33AM +0000, peter green wrote:
> > If not and the maintainers don't feel comfortable disabling the
> > tests would it be  possible to manually build and upload the binnmus
> > in an environment that doesn't suffer the issue so that the packages
> > are installable on kfreebsd again and transitions and builds of
> > dependent packages can proceed?
> 
> I can do manual builds and uploads if needed.

doing so would help get elfutils binNMUs to migrate on kfreebsd-* as
well, getting us rid of old liblzma2 binaries in testing for kfreebsd-*;
that'd buy us a testing distribution in a better shape, which while not
strictly mandatory, would be nice. If you find some time to do so,
please go ahead.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Mon, 02 Sep 2013 21:18:14 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Mon, 02 Sep 2013 21:18:14 GMT) Full text and rfc822 format available.

Message #54 received at 570805-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 550429-done@bugs.debian.org,570805-done@bugs.debian.org,593733-done@bugs.debian.org,601273-done@bugs.debian.org,602120-done@bugs.debian.org,610252-done@bugs.debian.org,614419-done@bugs.debian.org,631613-done@bugs.debian.org,641167-done@bugs.debian.org,644353-done@bugs.debian.org,644718-done@bugs.debian.org,658617-done@bugs.debian.org,669604-done@bugs.debian.org,687788-done@bugs.debian.org,690986-done@bugs.debian.org,706418-done@bugs.debian.org,720470-done@bugs.debian.org,720476-done@bugs.debian.org,
Cc: kfreebsd-8@packages.debian.org, kfreebsd-8@packages.qa.debian.org
Subject: Bug#721540: Removed package(s) from unstable
Date: Mon, 02 Sep 2013 21:16:43 +0000
Version: 8.3-7+rm

Dear submitter,

as the package kfreebsd-8 has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/721540

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@ftp-master.debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)



Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Mon, 02 Sep 2013 21:18:14 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Mon, 02 Sep 2013 21:18:14 GMT) Full text and rfc822 format available.

Bug reassigned from package 'kfreebsd-8' to 'kfreebsd-9'. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Mon, 02 Sep 2013 22:00:19 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions 8.3-7+rm. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Mon, 02 Sep 2013 22:00:20 GMT) Full text and rfc822 format available.

Bug reopened Request was from kurt@roeckx.be (Kurt Roeckx) to control@bugs.debian.org. (Fri, 20 Sep 2013 18:39:04 GMT) Full text and rfc822 format available.

Marked as found in versions kfreebsd-9/9.0-10. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 20 Sep 2013 18:45:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:52:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.